/***************************************************************************
 *   Copyright (C) 2006 by Andrei Borovsky   *
 *   borovsky@tochka.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <qlabel.h>
#include <klocale.h>

#include "kdeapp2widget.h"


kdeapp2Widget::kdeapp2Widget(QWidget* parent, const char* name, WFlags fl)
        : kdeapp2WidgetBase(parent,name,fl)
{}

kdeapp2Widget::~kdeapp2Widget()
{}

/*$SPECIALIZATION$*/
void kdeapp2Widget::button_clicked()
{
    if ( label->text().isEmpty() )
    {	
	        label->setText( i18n("Hello World!") );
    }
    else
    {
        label->clear();
    }
}



#include "kdeapp2widget.moc"

